//Particle_Smoke.cs
//dUMBELLS

datablock ParticleData(smokeParticleA)
{
   textureName          = "base/data/particles/cloud";
   dragCoefficient      = 0.0;
   windCoefficient      = 0.0;
   gravityCoefficient   = 0.01; 
   inheritedVelFactor   = 0.2;
   lifetimeMS           = 5000;
   lifetimeVarianceMS   = 0;
   useInvAlpha = true;
   spinRandomMin = 0.0;
   spinRandomMax = 0.0;

   colors[0]     = "1 1 1 0.8";
   colors[1]     = "1 1 1 0.8";
   colors[1]     = "1 1 1 0.0";

   sizes[0]      = 0.75;
   sizes[1]      = 0.9;
   sizes[1]      = 2.5;

   times[0]      = 0.0;
   times[1]      = 0.5;
   times[1]      = 1.0;
};

datablock ParticleEmitterData(smokeAEmitter)
{
   ejectionPeriodMS = 100;
   periodVarianceMS = 0;

   ejectionOffset = 0;
   ejectionOffsetVariance = 0.0;
	
   ejectionVelocity = 1.5;
   velocityVariance = 0.0;

   thetaMin         = 0.0;
   thetaMax         = 10.0;  

   phiReferenceVel  = 0;
   phiVariance      = 360;

   particles = smokeParticleA;   

   useEmitterColors = true;

	uiName = "Smoke A";
};

datablock ParticleEmitterData(smokeBEmitter:smokeAEmitter)
{
   ejectionPeriodMS = 500;
   periodVarianceMS = 0;

   particles = smokeParticleA;   

   useEmitterColors = true;

	uiName = "Smoke B";
};

datablock ParticleData(smokeParticleB)
{
   textureName          = "./cartoonsmoke";
   dragCoefficient      = 0.0;
   windCoefficient      = 0.0;
   gravityCoefficient   = 0.01; 
   inheritedVelFactor   = 0.2;
   lifetimeMS           = 5000;
   lifetimeVarianceMS   = 0;
   useInvAlpha = true;
   spinRandomMin = 0.0;
   spinRandomMax = 0.0;

   colors[0]     = "1 1 1 1";
   colors[1]     = "1 1 1 1";
   colors[1]     = "1 1 1 0.0";

   sizes[0]      = 0.75;
   sizes[1]      = 0.9;
   sizes[1]      = 2.5;

   times[0]      = 0.0;
   times[1]      = 0.5;
   times[1]      = 1.0;
};

datablock ParticleEmitterData(smokeCEmitter:smokeAEmitter)
{
   particles = smokeParticleB;   

   useEmitterColors = true;

	uiName = "Smoke C";
};

datablock ParticleEmitterData(smokeDEmitter:smokeAEmitter)
{
   ejectionPeriodMS = 400;
   periodVarianceMS = 0;

   particles = smokeParticleB;   

   useEmitterColors = true;

	uiName = "Smoke D";
};